Subject: bug#25360: File mode specification errors during building

From: Glenn Morris <[email-masked]>
Date: Sun, 12 Feb 2017 21:07:33 -0500

Phillip Lord wrote:

>> I can't decide whether modifying loadup.el for bootstrap-emacs in all
>> cases is good, bad, or neither... :)
>
> I worry about it slightly mostly because I'd rather not modify
> loadup.el, especially given that the motivation is an error message that
> isn't really causing any harm.

Yes, that was my concern too.

>> BTW, did you consider using a non-Emacs method to generate the basic
>> loaddefs?  Eg maybe find + awk would be good enough to extract the
>> necessary autoloads to get a bootstrap going?
>
> Yes, I did, but wasn't sure what extra dependencies the Emacs makefile
> was allowed to have. I guess it already uses find and awk.

Yes, find and (portable) awk is ok and already used eg for charsets
stuff.